Yes of course it's compatible